org.wso2.carbon.dataservices.ui.beans

## Class Query

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Query

-     public class Query
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query()`
    `Query(Iterator<org.apache.axiom.om.OMElement> paramItr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParam(Param newParam)`
    `void` | `addProperty(Property property)`
    `void` | `addProperty(String name, Object value)`
    `void` | `addSqlDialects(String dialect, String value)`
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getConfigToUse()`
    `ExcelQuery` | `getExcel()`
    `String` | `getExpression()`
    `GSpreadQuery` | `getGSpread()`
    `String` | `getId()`
    `String` | `getInputEventTrigger()`
    `String` | `getKeyColumns()`
    `String` | `getOutputEventTrigger()`
    `Param` | `getParam(String name)`
    `Param[]` | `getParams()`
    `ArrayList<Property>` | `getProperties()`
    `Result` | `getResult()`
    `String` | `getScraperVariable()`
    `String` | `getSparql()`
    `String` | `getSql()`
    `List<SQLDialect>` | `getSqlDialects()`
    `String` | `getStatus()`
    `boolean` | `hasProperties()`
    `boolean` | `hasSQLDialects()`
    `boolean` | `isReturnGeneratedKeys()`
    `boolean` | `isReturnUpdatedRowCount()`
    `void` | `removeParam(Param removeParam)`
    `void` | `removeParam(String name)`
    `SQLDialect` | `removeSQLDialect(String dialect)`
    `void` | `setConfigToUse(String configToUse)`
    `void` | `setExcel(ExcelQuery excel)`
    `void` | `setExpression(String expression)`
    `void` | `setGSpread(GSpreadQuery gSpread)`
    `void` | `setId(String id)`
    `void` | `setInputEventTrigger(String inputEventTrigger)`
    `void` | `setKeyColumns(String keyColumns)`
    `void` | `setOutputEventTrigger(String outputEventTrigger)`
    `void` | `setParams(Param[] paramsArray)`
    `void` | `setProperties(ArrayList<Property> properties)`
    `void` | `setResult(Result result)`
    `void` | `setReturnGeneratedKeys(boolean returnGeneratedKeys)`
    `void` | `setReturnUpdatedRowCount(boolean returnUpdatedRowCount)`
    `void` | `setScraperVariable(String scraperVariable)`
    `void` | `setSparql(String sparql)`
    `void` | `setSql(String sql)`
    `void` | `setSqlDialects(List<SQLDialect> sqlDialects)`
    `void` | `setStatus(String status)`
    `void` | `updateProperty(String name, String value)`
    `SQLDialect` | `updateSQLDialect(String edit, String dialect, String sql)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query()

    - #### Query

          public Query(Iterator<org.apache.axiom.om.OMElement> paramItr)

  - ### Method Detail

    - #### getProperties

          public ArrayList<Property> getProperties()

    - #### setProperties

          public void setProperties(ArrayList<Property> properties)

    - #### addProperty

          public void addProperty(Property property)

    - #### addProperty

          public void addProperty(String name,
                                  Object value)

    - #### updateProperty

          public void updateProperty(String name,
                                     String value)

    - #### getResult

          public Result getResult()

    - #### setResult

          public void setResult(Result result)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getParams

          public Param[] getParams()

    - #### setInputEventTrigger

          public void setInputEventTrigger(String inputEventTrigger)

    - #### setOutputEventTrigger

          public void setOutputEventTrigger(String outputEventTrigger)

    - #### getInputEventTrigger

          public String getInputEventTrigger()

    - #### getOutputEventTrigger

          public String getOutputEventTrigger()

    - #### getSqlDialects

          public List<SQLDialect> getSqlDialects()

    - #### setSqlDialects

          public void setSqlDialects(List<SQLDialect> sqlDialects)

    - #### addSqlDialects

          public void addSqlDialects(String dialect,
                                     String value)

    - #### removeSQLDialect

          public SQLDialect removeSQLDialect(String dialect)

    - #### updateSQLDialect

          public SQLDialect updateSQLDialect(String edit,
                                             String dialect,
                                             String sql)

    - #### hasSQLDialects

          public boolean hasSQLDialects()

    - #### setParams

          public void setParams(Param[] paramsArray)

    - #### addParam

          public void addParam(Param newParam)

    - #### removeParam

          public void removeParam(Param removeParam)

    - #### removeParam

          public void removeParam(String name)

    - #### getParam

          public Param getParam(String name)

    - #### getSql

          public String getSql()

    - #### setSql

          public void setSql(String sql)

    - #### getSparql

          public String getSparql()

    - #### getScraperVariable

          public String getScraperVariable()

    - #### setScraperVariable

          public void setScraperVariable(String scraperVariable)

    - #### setSparql

          public void setSparql(String sparql)

    - #### getConfigToUse

          public String getConfigToUse()

    - #### setConfigToUse

          public void setConfigToUse(String configToUse)

    - #### setExcel

          public void setExcel(ExcelQuery excel)

    - #### getExcel

          public ExcelQuery getExcel()

    - #### isReturnGeneratedKeys

          public boolean isReturnGeneratedKeys()

    - #### setReturnGeneratedKeys

          public void setReturnGeneratedKeys(boolean returnGeneratedKeys)

    - #### isReturnUpdatedRowCount

          public boolean isReturnUpdatedRowCount()

    - #### setReturnUpdatedRowCount

          public void setReturnUpdatedRowCount(boolean returnUpdatedRowCount)

    - #### getKeyColumns

          public String getKeyColumns()

    - #### setKeyColumns

          public void setKeyColumns(String keyColumns)

    - #### getExpression

          public String getExpression()

    - #### setExpression

          public void setExpression(String expression)

    - #### hasProperties

          public boolean hasProperties()

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

    - #### getGSpread

          public GSpreadQuery getGSpread()

    - #### setGSpread

          public void setGSpread(GSpreadQuery gSpread)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

Copyright © 2019 WSO2. All rights reserved.